Subject: [os2genau_digest] No. 1342
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sun, 30 Jul 2006 00:00:40 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Saturday 29 July 2006
 Number  1342
**************************************************

Subjects for today
 
1   DosExecPgm() limits? : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
2   OS/2 equivalent of Win32 function: OpenProcess? : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
3  Re:  Problems accessing Injoy site with Firefox/2 : Mike O'Connor" <mikeoc at internode.on dot net>
4  Re:  AJAX : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>

**= Email   1 ==========================**

Date:  Sat, 29 Jul 2006 13:40:34 +1000 (EST)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:   DosExecPgm() limits?

Hi All,

	Do you know if there are any limits on the size of the buffers
passed to DosExecPgm()?

	I've got a feeling that I've read/heard about a limit of 1024
bytes.

	I've got a command line variable that is around 1200 bytes long and
I've getting invalid function (RC = 1) being returned.

	If that is indeed the limit, are there any tricks or work arounds
to it?

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9395-1504   Internet:   chrisg at warpspeed dot com dot au
FAX:    +61-3-9395-7633   Web Page:   http://www.warpspeed dot com dot au
Postal: WarpSpeed Computers, PO Box 4293, Hoppers Crossing DC, VIC 3029, AUSTRALIA

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sat, 29 Jul 2006 14:42:01 +1000 (EST)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:   OS/2 equivalent of Win32 function: OpenProcess?

Is there any equivalent OS/2 function for the win32 function OpenProcess?

I do not entirely understand what OpenProcess is doing or what it is used
for.

I'm reading some assembler to port a win32 app to OS/2, and I've run across
this little snag.

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9395-1504   Internet:   chrisg at warpspeed dot com dot au
FAX:    +61-3-9395-7633   Web Page:   http://www.warpspeed dot com dot au
Postal: WarpSpeed Computers, PO Box 4293, Hoppers Crossing DC, VIC 3029, AUSTRALIA

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Sat, 29 Jul 2006 14:54:11 +1000
From:  "Mike O'Connor" <mikeoc at internode.on dot net>
Subject:  Re:  Problems accessing Injoy site with Firefox/2

Peter Moylan wrote:
> I also know that upgrade decisions are often based on unexpected
> factors. How did MS-Word come to displace the superior (at that time)
> WordPerfect? At my workplace, it was because some highly-placed people
> had a home computer with MS-Works preinstalled, and they ordered the
> entire organisation to be compatible with their games machine.
>
Hi Peter,

Doesn't that logic just make you want to puke! :-(

-- 
Regards,
Mike

Failed the exam for
--------------------
MCSE - Minesweeper Consultant and Solitaire Expert
--------------------
[Please ZIP any attachments, other than GIF/JPG or plain-text]

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Sat, 29 Jul 2006 20:01:26 +1000 (EST)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:  Re:  AJAX

On Fri, 28 Jul 2006 19:52:34 +1000, Ed Durrant wrote:

AJAX = Asynchronus Javascript And XML.

It involves a browser running javascript (yes, you will run into browser
compatability issues here) makeing asynchronus (ie background, ie not a
page submit) requests to a server using XML.

There are Java based backends as well as PHP etc.

It makes use of DHTML for it's ability to dynamically modify the DOM of a
page without having to do an entire submit/reload request to the server, as
per the standard web model now.

It is the basis for what is called "Web 2.0".

Basically these technologies have been around for several years (when MS
released DHTML) but have come to a head/popularity when Jessie James
Garrett (what is it with americans and their middle names?) coined the term
AJAX.

And we all know that something can not be popular unless it has a catchy
phrase word.

The best example that I can think of is http://maps.google dot com

-Chris

>Hi All,
>
>   During a private email conversation with Mike O'Connor we touched on 
>the subject of AJAX applications. You can see may reply below. After 
>writing this, I thought it might be of interest to the group and a 
>useful discussion topic.
>
>  This IS the "hottest thing" around on the Internet at the moment 
>(until the next "big thing" ) but it is actually still in it's infancy 
>however a lot of powerful players are getting behind it.
>
>Cheers/2
>
>ED.
>
>
>
>Here's my conversation with Mike.
>
> > Hi Ed,
> >
> > What's AJAX? Never encountered the term previously! Is this like a
> > Java-based remote system?
>
>AJAX is THE LATEST THING on the Web. It is code that runs within the 
>browser - no matter which platform it is running on - so an Ajax 
>appliaction that will run in Firefox on Linux or Windows, will also run 
>in Firefox on OS/2 or MAC. I don't think it is JAVA based, more XHTML I 
>"think". There's an article on it in APC. Go to http://www.ajaxwrite dot com
>
>where it says:
==========================
>ajaxWrite is a web-based word processor that can read and write 
>Microsoft Word and other standard document formats. Anytime you need to 
>open, read or write a word processor file, simply point your Firefox 
>browser to www.ajaxwrite dot com and in seconds a full-featured program will 
>be available for you to open, edit, print and save.
>
>ajaxWrite has been designed to look like Microsoft Word, making it easy 
>for anyone to start using it without needing to learn a new program. 
>ajaxWrite also handles all the popular document formats so it's easy to 
>share your files and collaborate with your co-workers and friends. Once 
>finished with your document, you can easily save your work right to your 
>hard drive. This keeps you organized and works in the same way that 
>you're already accustomed to.
>
>ajaxWrite works from a Firefox web browser on any operating system and 
>on any device, no matter where you are or what computer you're using. 
>And because the application itself lives on the web, we handle the 
>updates automatically so that you don't have to deal with costly 
>upgrades or getting stuck with old versions.
=========================
>
>If some idiot insists that he must use IE not Firefox, then there's the 
>equivalent at:  http://www.ajaxword dot com/ajaxword/
>
>
>There's also the following AJAX sites for various Office applications - 
>these are the ones listed in APC - I haven't tried them out yet -
>
>www.writely dot com
>www.zohowriter dot com
>www.irows dot com
>www.sheetster dot com
>numsum dot com
>www.editgrid dot com
>www.thumbstacks dot com
>basecamphq dot com
>www.aceproject dot com
>www.goffice dot com
>thinkfree dot com
>www.eyeos dot com
>www.flysuite dot com
>www.gmail dot com
>
>(Note: the entries above without www are meant to be without www).
>
>What this means is that in principal soon, for a small office 
>installation it wont matter what OS is installed on the PC as long as it 
>has Firefox installed. If one teams this all up (as Google are planning 
>to do) with web based storage, it means you could use your applications 
>and data from anywhere with any PC with Firefox and an internet 
>connection ! You could even take a boot CD or USB key with you with 
>Firefox pre installed, load a RAM resident OS - eg Linux or eComStation 
>and operate.
>
>Performance of applications written in AJAX appear to be miles ahead of 
>classic Java applications.
>
>Apparently components of AJAX have been around for sometime but under 
>other names.

> 

>

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9395-1504   Internet:   chrisg at warpspeed dot com dot au
FAX:    +61-3-9395-7633   Web Page:   http://www.warpspeed dot com dot au
Postal: WarpSpeed Computers, PO Box 4293, Hoppers Crossing DC, VIC 3029, AUSTRALIA

----------------------------------------------------------------------------------